# PetscViewerDestroy

Destroys a PetscViewer.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerDestroy(PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

viewer -the PetscViewer to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen()

Level:beginner
Location: src/sys/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/viewer/examples/tutorials/ex1f90.F90.html
src/sys/examples/tutorials/ex5.c.html
src/sys/examples/tutorials/ex5f90.F90.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex3f.F.html
src/mat/examples/tutorials/ex1.c.html
src/mat/examples/tutorials/ex4.c.html
src/mat/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html